﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using Telerik.Windows.Controls;

namespace NumericAlignment
{
    public class ViewModel: ViewModelBase
    {
        private double _numericValue = 0.2;

        public double NumericValue
        {
            get { return this._numericValue; }
            set
            {
                if (this._numericValue != value)
                {
                    this._numericValue = value;
                    this.OnPropertyChanged("NumericValue");
                }
            }
        }
    }

    public class DoubleToPercentageConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            var dbValue = (double)value;
            return dbValue * 100;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            var numericValue = (double)value;
            return numericValue / 100;
        }
    }
  
}
